# nng_url_clone(3) Manual Page

## NAME

nng_url_clone - clone URL structure

## SYNOPSIS

    #include <nng/nng.h>

    int nng_url_clone(nng_url **dup, nng_url *orig);

## DESCRIPTION

The `nng_url_clone()` makes a clone of the original URL structure orig, and saves the result in the location pointed by dup. This clone includes fully duplicating each of the member fields.

The new `nng_url` structure can be disposed of using `nng_url_free()` when it is no longer needed.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient free memory exists to duplicate a message.

## SEE ALSO

nng_url_free(3), nng_url_parse(3), nng_strerror(3), nng_url(5), nng(7)